/*

Copyright (c) 2000-2012 Samsung Electronics Co., Ltd All Rights Reserved 
 
This file is part of Smartsearch
Written by Junghyun Kim <jh1114.kim@samsung.com>
 
PROPRIETARY/CONFIDENTIAL
 
This software is the confidential and proprietary information of 
SAMSUNG ELECTRONICS (Confidential Information). You shall not 
disclose such Confidential Information and shall use it only in 
accordance with the terms of the license agreement you entered 
into with SAMSUNG ELECTRONICS.  

SAMSUNG make no representations or warranties about the suitability 
of the software, either express or implied, including but not limited
to the implied warranties of merchantability, fitness for a particular
purpose, or non-infringement. SAMSUNG shall not be liable for any
damages suffered by licensee as a result of using, modifying or 
distributing this software or its derivatives.
 
*/



#ifndef __SEARCHSERVER_HEADER_H__
#define __SEARCHSERVER_HEADER_H__

int search_sql_stmt_init(sqlite3_stmt * sql_stmt);

int search_sql_stmt_finalize(sqlite3_stmt * stmt);

int search_sql_prepare_stmt(sqlite3 *db_handle, const char *query,
					 sqlite3_stmt ** stmt_out);

int search_sql_contact_search_result_by_api(int type, int offset, int limit,
					    void *data);

int search_sql_msg_search_result_by_api(int type, int offset, int limit,
					 void *data);

int search_sql_email_search_result_by_api(int type, int offset, int limit,
					 void *data);

int search_sql_calendar_search_result_by_api(int type, int offset, int limit,
					     void *data);

int search_sql_memo_search_result_by_api(int type, int offset, int limit,
					 void *data);

int search_sql_image_search_result_by_api(int type, int offset, int limit, 
					 void *data);

int search_sql_video_search_result_by_api(int type, int offset, int limit,
					 void *data);

int search_sql_music_search_result_by_api(int type, int offset, int limit,
					 void *data);

int search_sql_menu_search_result_by_api(int type, int offset, int limit,
					 char *keyword, void *data);

#endif				// __SEARCHSERVER_HEADER_H__
