/*

Copyright (c) 2000-2012 Samsung Electronics Co., Ltd All Rights Reserved 
 
This file is part of Smartsearch
Written by Junghyun Kim <jh1114.kim@samsung.com>
 
PROPRIETARY/CONFIDENTIAL
 
This software is the confidential and proprietary information of 
SAMSUNG ELECTRONICS (Confidential Information). You shall not 
disclose such Confidential Information and shall use it only in 
accordance with the terms of the license agreement you entered 
into with SAMSUNG ELECTRONICS.  

SAMSUNG make no representations or warranties about the suitability 
of the software, either express or implied, including but not limited
to the implied warranties of merchantability, fitness for a particular
purpose, or non-infringement. SAMSUNG shall not be liable for any
damages suffered by licensee as a result of using, modifying or 
distributing this software or its derivatives.
 
*/



#ifndef __DEF_SMARTSEARCH_H__
#define __DEF_SMARTSEARCH_H__

#include <glib.h>
#include <time.h>
#include <Elementary.h>
#include <Ecore_X.h>
#include <appcore-efl.h>
#include <Ecore_IMF.h>
#include <vconf.h>
#include <aul.h>
#include <ui-gadget.h>
#include <malloc.h>
extern "C" {
}
#include <sqlite3.h>
#include <media-svc.h>
#include <MapiControl.h>
#include <MapiStorage.h>
#include <MapiMessage.h>
#include <MsgStorageTypes.h>

#include "smartsearch_define.h"
#include "ps_debug_util.h"
#include "search_bar.h"
#include "ps_makeupviews.h"
#include "ps_app_interface.h"
#include "common_util.h"
#include "util-func.h"

#define _EDJ(x)    elm_layout_edje_get(x)
 
struct search_more_result{
	int next_point;
	int offset;
	int loop_cnt;
	int result_cnt;
};

struct search_item_sel {
	unsigned char type;
	char path[MAX_LENGTH_PER_PATH];
	char main_id[MAX_LENGTH_PER_ID];
	char main_buf[MAX_LENGTH_PER_LINE];
	char sub_buf[MAX_LENGTH_PER_LINE];
};

struct appdata {
	Evas_Object *win_main;
	Evas_Object *layout_main;
	Evas_Object *navi_bar;

	double scale_factor;

	Evas_Object *search_entry;
	Evas_Object *search_bar;
	Evas_Object *search_cancel_btn;
	Evas_Object *search_gl;
	Evas_Object *noresult_view;
	Evas_Object *sb_layout;
	Evas_Object *back_btn;

	Evas_Object *ctxpopup;
	Evas_Object *cate_ctxpopup;

	Evas_Object *cate_btn;
	Ecore_Idler *idler_search;
	Ecore_Idler *idler_create_ui;
	
	int touch_x;
	int touch_y;

	Elm_Genlist_Item_Class *itc_pslist_1line;
	Elm_Genlist_Item_Class *itc_pslist_2line;
	Elm_Genlist_Item_Class *itc_grouptitle;
	Elm_Genlist_Item_Class *itc_listmore;

	search_more_result cate_info[SEARCH_TYPE_PHONE_MAX];

	char *search_word;
	char *not_markup_search_word;

	int back_btn_type;

	Evas_Object *effect_layout;
	ui_gadget *detail_ug;

	Elm_Object_Item *gl_result_group_item[PHONE_CATEGORY_LIST_CNT];

	sqlite3 *search_db_hd;
	sqlite3_stmt *search_db_sql_stmt[SEARCH_STMT_MAX];

	/* Handle List */
	MSG_HANDLE_T msg_handle;
	MediaSvcHandle *media_handle;
};

#endif
