Name:       org.tizen.smartsearch
Summary:    Smartsearch Application
Version:    0.3.15
Release:    1
Group:      main
License:    Samsung Proprietary License
Source0:    %{name}-%{version}.tar.gz
Source1001: packaging/org.tizen.smartsearch.manifest 
Requires:   elementary-bin
BuildRequires: pkgconfig(appcore-efl)
BuildRequires: pkgconfig(appsvc)
BuildRequires: pkgconfig(aul)
BuildRequires: pkgconfig(calendar)
BuildRequires: pkgconfig(contacts-service)
BuildRequires: pkgconfig(db-util)
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(ecore)
BuildRequires: pkgconfig(ecore-imf)
BuildRequires: pkgconfig(ecore-input)
BuildRequires: pkgconfig(ecore-x)
BuildRequires: pkgconfig(elementary)
BuildRequires: pkgconfig(email-service)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(icu-i18n)
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(libmedia-service)
BuildRequires: pkgconfig(libsoup-2.4)
BuildRequires: pkgconfig(memo)
BuildRequires: pkgconfig(msg-service)
BuildRequires: pkgconfig(ui-gadget)
BuildRequires: pkgconfig(utilX)
BuildRequires: pkgconfig(x11)
BuildRequires: libug-contacts-devel

BuildRequires:  cmake
BuildRequires:  edje-tools
BuildRequires:  gettext-devel
%description
Smartsearch Application.

%prep
%setup -q

%build
cp %{SOURCE1001} .

%define PREFIX    "/opt/apps/org.tizen.smartsearch"
%define RESDIR    "/opt/apps/org.tizen.smartsearch/res"
%define DATADIR    "/opt/apps/org.tizen.smartsearch/data"

cmake . -DCMAKE_INSTALL_PREFIX=%{PREFIX}
make %{?jobs:-j%jobs}

%install
%make_install

touch %{buildroot}/opt/apps/org.tizen.smartsearch/data/.search.db
touch %{buildroot}/opt/apps/org.tizen.smartsearch/data/.search.db-journal

%post
SEARCHPKG="org.tizen.smartsearch"

# create db
if [ ! -s /opt/apps/$SEARCHPKG/data/.search.db ]
then   
        sqlite3 /opt/apps/$SEARCHPKG/data/.search.db 'PRAGMA journal_mode = PERSIST;
                               CREATE TABLE IF NOT EXISTS search_history (category int, keyword text not null, date TEXT, UNIQUE(category, keyword));'
fi

# owner & permission
chown -R 5000:5000 /opt/apps/$SEARCHPKG/data
chown -R 5000:5000 /opt/apps/$SEARCHPKG/data/.search.db
chown -R 5000:5000 /opt/apps/$SEARCHPKG/data/.search.db-journal

chmod 660 /opt/apps/$SEARCHPKG/data/.search.db
chmod 660 /opt/apps/$SEARCHPKG/data/.search.db-journal

vconftool set -t int db/smartsearch/category 0 -u 5000 -g 5000  2> /dev/null
vconftool set -t string db/smartsearch/keyword '' -u 5000 -g 5000  2> /dev/null



%files
%manifest org.tizen.smartsearch.manifest
/opt/apps/org.tizen.smartsearch/bin/*
/opt/apps/org.tizen.smartsearch/res/*
%attr(-,inhouse,inhouse) /opt/apps/org.tizen.smartsearch/data/
%config(noreplace,missingok) /opt/apps/org.tizen.smartsearch/data/.search.db
%config(noreplace,missingok) /opt/apps/org.tizen.smartsearch/data/.search.db-journal
/opt/share/applications/*
/opt/apps/org.tizen.smartsearch/share/process-info/smartsearch.ini
